> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/39.-amlyh-tadyl-tayyn-mkhttat-alwan-mkhssh-l-alkhraet-aljghrafyh-almhddh.md).

# 39. عملية تعديل: تعيين مخططات ألوان مخصصة لـ"الخرائط الجغرافية" المحددة

اضبط مخططات الألوان المخصصة لطبقات البيانات: "ZonesMaps"، "SoilDatasets".&#x20;

الدعم لطبقات بيانات أخرى ("YieldDataset"، "TopographyMaps"، "SatelliteImages") قادم.

قم بتحديث جميع سمات "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    الاسم_القصير
    الاسم_الكامل
    الوصف
    classes
    hexColorCodes
    رابط
  }
}
```

{% endcode %}

قم بتحديث مخططات الألوان فقط لـ "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    الاسم_القصير
    الاسم_الكامل
    الوصف
    classes
    hexColorCodes
    رابط
  }
}
```

{% endcode %}

**هام** نقاط لتعلّم كيفية استخدام الـ mutation:

1. السمات `معرف_الحقل`, `soilDatasetUuid`/`vectorAnalysisMapUuid`، و `الاسم_القصير` اجبارية لتحديد "GeoMap" الصحيح للتعديل. جميع هذه السمات الثلاثة معًا تعكس فرادة "GeoMap".
2. إما `soilDatasetUuid` أو `vectorAnalysisMapUuid` يجب استخدام السمة لكل إدخال "GeoMap" فردي.
3. قيمة `الاسم_القصير` يجب أن تكون هي نفسها كما في الأصل في "GeoMap". لا يمكن تعديلها.
4. السمات `الاسم_الكامل`, `الوصف`, `hexColorCodes` قابلة للتعديل لـ "ZonesMaps" ويمكن تغييرها. لن تُطبق التغييرات إذا لم تُذكر السمة.
5. السمات `الاسم_الكامل`, `الوصف`, `classes`, `hexColorCodes` قابلة للتعديل لـ "SoilDatasets" ويمكن تغييرها. لن تُطبق التغييرات إذا لم تُذكر السمة.
6. المصفوفات `classes` و `hexColorCodes`  يجب أن تكون بنفس الطول تمامًا كما في الأصل في "GeoMap".
7. يجب أن يكون طول مصفوفات "GeoMaps" في الطلب والاستجابة متماثلًا. إذا لم يكن كذلك، فبعض "GeoMaps" لم تُعدل بنجاح.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/39.-amlyh-tadyl-tayyn-mkhttat-alwan-mkhssh-l-alkhraet-aljghrafyh-almhddh.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
